Subject: Re: ppc_8xx-ldd

From: Joe Green <[email-masked]>
Date: Fri, 2 Feb 2001 10:55:11 -0800

On Fri, 02 Feb 2001, Frank Rowand wrote:
> Subodh Nijsure wrote:
> > BTW, is there a something equivalent to  ldd in powerpc world, so one
> > can find out which shared library an executable is linked with?
> > I have 8xx environment from MontaVista and I don't see ppc_8xx-ldd
>
> Yes, ldd is /bin/ldd in the target file system.

For execution on a development host, I've attached a simple shell script
that does something like ldd.  (ldd actually loads the program, which
won't work for cross-developed programs.)  It must be run from the same
directory as the target architecture objcopy and objdump, and must have
the same prefix (e.g., ppc_8xx-ldd, ppc_8xx-objcopy, ppc_8xx-objdump).

--
Joe Green <[email-masked]>
MontaVista Software, Inc.